// priority: 0

console.info('Hello, World! (You will see this line every time server resources reload)')

let byg_sands = ['black','white','blue','purple','pink']
let van_plank = ['oak','dark_oak','birch','spruce','jungle','mangrove']
let color = ['white','orange','magenta','light_blue','yellow','lime','pink','gray','light_gray','cyan','purple','blue','brown','green','red','black']

ServerEvents.recipes(event => {

	byg_sands.forEach(e=>{
		event.remove({id:'byg:'+e+'_smooth_sandstone'})
		event.smelting('byg:'+e+'_smooth_sandstone','byg:'+e+'_sandstone').id('tomtaru:'+e+'_smooth_sandstone')
	})

	color.forEach(a=>{
		event.shaped('8x minecraft:'+a+'_wool',['WWW','WDW','WWW'],{W:'#minecraft:wool',D:'minecraft:'+a+'_dye'}).id('tomtaru:bulk_'+a+'_wool_dyeing')
		event.shaped('8x minecraft:'+a+'_stained_glass',['GGG','GDG','GGG'],{G:'#forge:glass',D:'minecraft:'+a+'_dye'}).id('tomtaru:bulk_'+a+'_glass_dyeing')
		event.shaped('8x minecraft:'+a+'_stained_glass_pane',['GGG','GDG','GGG'],{G:'#forge:glass_panes',D:'minecraft:'+a+'_dye'}).id('tomtaru:bulk_'+a+'_glass_pane_dyeing')
	})

	event.shaped('byg:windswept_sandstone',['SS','SS'],{S:'byg:windswept_sand'}).id('tomtaru:windswept_sandstone')
	event.shaped('byg:chiseled_windswept_sandstone',['S','S'],{S:'byg:windswept_sandstone'}).id('tomtaru:chiseled_windswept_sandstone')
	event.shaped('4x byg:cut_windswept_sandstone',['SS','SS'],{S:'byg:windswept_sandstone'}).id('tomtaru:cut_windswept_sandstone')
	event.shaped('6x byg:windswept_sandstone_slab',['SSS'],{S:'byg:windswept_sandstone'}).id('tomtaru:windswept_sandstone_slab')
	event.shaped('6x byg:cut_windswept_sandstone_slab',['SSS'],{S:'byg:cut_windswept_sandstone'}).id('tomtaru:cut_windswept_sandstone_slab')
	event.shaped('6x byg:smooth_windswept_sandstone_slab',['SSS'],{S:'byg:smooth_windswept_sandstone'}).id('tomtaru:smooth_windswept_sandstone_slab')
	event.shaped('6x byg:chiseled_windswept_sandstone_slab',['SSS'],{S:'byg:chiseled_windswept_sandstone'}).id('tomtaru:chiseled_windswept_sandstone_slab')
	event.shaped('6x byg:windswept_sandstone_wall',['SSS','SSS'],{S:'byg:windswept_sandstone'}).id('tomtaru:windswept_sandstone_wall')
	event.shaped('6x byg:cut_windswept_sandstone_wall',['SSS','SSS'],{S:'byg:cut_windswept_sandstone'}).id('tomtaru:cut_windswept_sandstone_wall')
	event.shaped('6x byg:smooth_windswept_sandstone_wall',['SSS','SSS'],{S:'byg:smooth_windswept_sandstone'}).id('tomtaru:smooth_windswept_sandstone_wall')
	event.shaped('6x byg:chiseled_windswept_sandstone_wall',['SSS','SSS'],{S:'byg:chiseled_windswept_sandstone'}).id('tomtaru:chiseled_windswept_sandstone_wall')
	event.shaped('4x byg:windswept_sandstone_stairs',['S  ','SS ','SSS'],{S:'byg:windswept_sandstone'}).id('tomtaru:windswept_sandstone_stairs')
	event.shaped('4x byg:cut_windswept_sandstone_stairs',['S  ','SS ','SSS'],{S:'byg:cut_windswept_sandstone'}).id('tomtaru:cut_windswept_sandstone_stairs')
	event.shaped('4x byg:smooth_windswept_sandstone_stairs',['S  ','SS ','SSS'],{S:'byg:smooth_windswept_sandstone'}).id('tomtaru:smooth_windswept_sandstone_stairs')
	event.shaped('4x byg:chiseled_windswept_sandstone_stairs',['S  ','SS ','SSS'],{S:'byg:chiseled_windswept_sandstone'}).id('tomtaru:chiseled_windswept_sandstone_stairs')
	event.smelting('byg:smooth_windswept_sandstone','byg:windswept_sandstone').id('tomtaru:smooth_windswept_sandstone')
	event.shaped('byg:windswept_sandstone_pillar',['S','S'],{S:'byg:smooth_windswept_sandstone'}).id('tomtaru:windswept_sandstone_pillar')

	event.shaped('cobblemon:pc',['PPP','PTP','PBP'],{P:'immersiveengineering:plate_iron',T:'minecraft:tinted_glass',B:'minecraft:iron_block'}).id('tomtaru:cobblemon_pc')
	event.shaped('cobblemon:healing_machine',['  S','CCS','III'],{S:'immersiveengineering:ingot_silver',C:'immersiveengineering:plate_copper',I:'minecraft:iron_ingot'}).id('tomtaru:cobblemon_healing_machine')

	event.shaped('scuba_gear:scuba_helmet',['III','IPI'],{I:'minecraft:copper_ingot',P:'#forge:glass_panes'}).id('tomtaru:scuba_helmet')
	event.shaped('scuba_gear:scuba_chestplate',['I I','ITI','III'],{I:'minecraft:copper_ingot',T:'immersiveengineering:toolupgrade_drill_waterproof'}).id('tomtaru:scuba_chestplate')
	event.shaped('scuba_gear:scuba_leggings',['III','K K','I I'],{I:'minecraft:copper_ingot',K:'minecraft:dried_kelp'}).id('tomtaru:scuba_leggings')
	event.shaped('scuba_gear:scuba_boots',['I I','I I'],{I:'minecraft:copper_ingot'}).id('tomtaru:scuba_boots')

	event.shaped('minecraft:crafting_table',['PP','PP'],{P:'#tomtaru:planks'})
	event.shaped('4x minecraft:chest',['LLL','L L','LLL'],{L:'#minecraft:logs'})

	event.remove({id:'cobblemon:pc'})
	event.remove({id:'cobblemon:healing_machine'})
	event.remove({id:'minecraft:crafting_table'})
	event.remove({id:'quark:building/crafting/compressed/potato_crate'})
	event.remove({id:'quark:building/crafting/compressed/carrot_crate'})
	event.remove({id:'quark:building/crafting/compressed/beetroot_crate'})
})



ServerEvents.tags('item', event => {
	// Get the #forge:cobblestone tag collection and add Diamond Ore to it
	// event.get('forge:cobblestone').add('minecraft:diamond_ore')
	
		byg_sands.forEach(e =>{
			event.get('c:'+e+'_sand').add('byg:'+e+'_sand')
		})

		van_plank.forEach(a=>{
			event.get('tomtaru:planks').add('minecraft:'+a+'_planks')
		})

		event.get('forge:ores/quartz').add(['byg:blue_nether_quartz_ore','byg:brimstone_nether_quartz_ore','minecraft:gilded_blackstone'])
	// Get the #forge:cobblestone tag collection and remove Mossy Cobblestone from it
	// event.get('forge:cobblestone').remove('minecraft:mossy_cobblestone')
})